Bug 1784153 - Tracker bug for Coin/Wayland problems with FreeCAD
Summary: Tracker bug for Coin/Wayland problems with FreeCAD
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1768480 1773366 1774705 1775688 1779034
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-16 20:27 UTC by Richard Shaw
Modified: 2020-01-14 21:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-14 21:05:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Shaw 2019-12-16 20:27:46 UTC

Comment 1 Richard Shaw 2019-12-16 20:32:06 UTC
There are too many bugs for me to manage and they mostly seem to be around the same problem(s).

The COPR build seems to have fixed most of the issues related to Wayland but removing GLX from the Coin build. As I don't maintain Coin3 I am not planning on doing the same in Fedora 30/31, but as my original assumption that the problem was linking with Coin4 while Pivy was linking with Coin3 was not correct I just completed updated builds for 30/31 with the same fix as in my COPR.

If you have new information specific to your bug you can respond in the original BZ but general stuff can be put here instead so everyone sees it.

Comment 2 Richard Shaw 2019-12-18 18:54:25 UTC
Ok, new builds are pushed. Please temporarily disable the COPR if you're using it and do a "dnf --refresh distro-sync" to make sure all the COPR packages are removed and then try the update and report here or to your original bug.


Note You need to log in before you can comment on or make changes to this bug.